[DCOM95] not installable: "a newer version had been installed"

Saulius Krasuckas saulius2 at ar.fi.lt
Wed Jun 16 09:48:03 CDT 2004

On Wed, 16 Jun 2004, Mike Hearn wrote:
> On Wed, 16 Jun 2004 12:09:29 +0200, Luca Capello wrote:
> > 	"A newer version of DCOM95 or DCOM98 had been installed. To override,
> > 	you must uninstall the current version first."
> You have to run it like this:
> WINEDLLOVERRIDES="ole32=n" wine DCOM95.exe
> Yes, this is unintuitive, no there is nothing we can do with default
> config files/registry entries to fix it as the first thing DCOM95.EXE does
> it extract a file called "setup.exe" or some equally generic name and run
> it. You have to love Windows installers.

And why there couldn't be additional option introduced for AppDefaults
sections to instruct Wine to apply AppDefaults for child processes too?  

If we cannot fix the situation by using the win32-process name, maybe the
situation would be easier to fix if we'd using the name of its parent
win32-process or even name of the its first ancestor win32-process?

Lets name the option "ChildProcessInheritsAppDefaults", for example.

How hard it would be to implement such parent-to-child option replication?

More information about the wine-devel mailing list